package com.qs.mp.admin.domain.excel;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.qs.mp.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品已使用卡密导出类
 * @author yang.zhao
 */
@ApiModel("商品卡密导出类")
@Data
public class GoodsCardUsedExcel {

    @Excel(name = "主键")
    private Long id;

    @Excel(name = "商品id")
    private Long goodsId;

    @Excel(name = "卡号")
    private String cardNo;

    @Excel(name = "卡密")
    private String cardPwd;

    @Excel(name = "是否使用:0未使用,1已使用")
    private Integer isUse;

    @Excel(name = "逻辑删除标识")
    private Integer isDeleted;

    @Excel(name = "创建时间")
    private Date createdTime;

    @Excel(name = "更新时间")
    private Date updatedTime;

}
